Skip to main content
GET
/
v1
/
orders
/
{id}
Retrieve an order
curl --request GET \
  --url https://api.kyren.top/v1/orders/{id} \
  --header 'x-api-key: <api-key>'
{
  "code": 0,
  "message": "success",
  "data": {
    "id": "order_def456",
    "checkoutSessionId": "cs_xyz789",
    "productId": "prod_abc123",
    "customerEmail": "customer@example.com",
    "customerName": null,
    "amount": "9.99",
    "currency": "USD",
    "platformFeeRate": "0.04",
    "platformFee": "0.40",
    "netAmount": "9.59",
    "settledAmount": "9.59",
    "settledCurrency": "USD",
    "exchangeRate": null,
    "hkdExchangeRate": null,
    "paymentMethod": "CREDIT_CARD",
    "paymentGateway": "allinpay",
    "gatewayOrderId": "gw_001",
    "gatewayTransactionId": "txn_001",
    "status": "PAID",
    "paidAt": 1736932500000,
    "settledAt": null,
    "payerIp": "203.0.113.1",
    "metadata": {
      "userId": "user_456"
    },
    "createdAt": 1736932200000,
    "updatedAt": 1736932500000
  }
}

Authorizations

x-api-key
string
header
required

Your API key. Public production API-key endpoints accept kyren_live_* keys. Staging credentials are environment-specific and must be used only with the staging environment for which Kyren issued them.

Path Parameters

id
string
required

The unique identifier of the resource

Response

The order detail object

code
integer
Example:

0

message
string
Example:

"success"

data
object